Attribute VB_Name = "txtRevision"
' *****************************************************************************************
' *                                  REVISION HISTORY                                     *
' *****************************************************************************************


' *****************************************************************************************
' * Copyright (C) 2001 Weigh-Tronix Inc. Santa Rosa, CA. 95403                            *
' *****************************************************************************************
' TITLE: WTScaleAdmin (Weigh-Tronix Scale SO Administrator)
' PROJ : ADMIN.vbp
' GROUP: OPOSGRP.vbg
' DESCR: This "Administrator" program is used to install, register, configure and test the
'        Weigh-Tronix Scale Service Object (SO) for OPOS. The SO is an ActiveX DLL code
'        component and is called WTScaleSO.DLL
'
' P/N:   1150-17121
'
' NOTES: 1)
'
'
' *****************************************************************************************
' * Program Revision History:                                                             *
' *****************************************************************************************
'
' Version information is defined in: Project-Properties-Make
'
' Maj Min Rev Date       Description
' --- --- --- ---------  ------------------------------------------------------------------
'  0   0   1  19-JUN-01  New administration program made from 1.1.0 of WTOPOSAdmin.
'
'  0   0   2  18-FEB-02  Still unreleased (beta)
'                        1)On 'Specifics' tab changed SalesPrice text box to Courier font.
'                        2)On 'Specifics' tab implemented 'SalesPrice' (read) and
'                          'UnitPrice' (read/write) properties.
'                        3)Added WT_ValidateCurrencyEntry function to validate user input
'                          of price value. Otherwise invalid entries caused type-mismatch
'                          when trying to convert string to currency value.
'                        4)On 'Specifics' tab display "not supported" messages for
'                          'TareWeight' read/write command buttons to remind people that the
'                          S.O. does not currently support those features.
'                        5)On 'Specifics' tab added status bar at bottom of panel.
'                        6)On 'Specifics' tab added "Get Scale Protocol" test button which
'                          is a vendor-specific command that uses the DirectIO interface.
'                        7)Added 'ServiceVersion' and 'ServiceDescription' to Profile Details
'                          on the 'Scale Profile' tab. These values are also saved now in
'                          the profile in the registry.
'                        8)Added 'Set Unit Price', 'Read Unit Price' and 'Read Sales Price'
'                          to the 'Scale Function' list on the 'Scale Test' tab.
'                        9)Added 'Enable Transaction Latch' and 'Get Transaction' to vendor-specific
'                          commands test section on 'Advanced' tab.
'
'  2   0   0  21-FEB-02  First release.
'                        Part of OPOS Release 1 (14-MAR-02)
'
'
'------------------------------------------------------------------------------------------
'  The following is the revision history of the WTOPOSAdmin program and is retained here
'  for historical reference only.
'
'  x   x   x  18-JAN-00  Initial release by PowerVision to Weigh-Tronix.
'  x   x   x  19-JUN-00  1)From Win98 desktop, turned off the "Read-Only" file attribute
'                          for LogFile.frx so that the form could be edited if necessary.
'                        2)BUG: After clicking the "Enable Scale" button, the "Interactive
'                          HealthCheck" modal window displays incorrect u-o-m and an extra
'                          leading zero in weight string.
'                          FIX: No longer display the "Interactive HealthCheck" window.
'                          Since it is displayed by the Service Object (not the VB app), we
'                          will not attempt to modify the SO object at this time. Instead,
'                          we will run and display the results of the simpler "Internal
'                          HealthCheck" test. The "Read Weight" function key in the "Test"
'                          window will be enhanced to display u-o-m and weight properly.
'                        2)Added "WeightUnit" property constants to basOPOS.bas file.
'                        3)Modified "btnReadWeight" function to display weight (fixed to 3
'                          decimal places), with u-o-m string appended.
'                        4)Added MaximumWeight and WeightUnits property display boxes.
'                          When "EnableScale" button is clicked, these properties are read
'                          via the SO and displayed.
'                          Note: PowerVision appears to have hard-coded the scales maximum
'                                capacity (to 30.000) into the SO. I wanted to display it to
'                                remind users that the scale must be calibrated for 30 (lb).
'                        5)In the "List" property for the "Parity" list box, I renamed the
'                          selections from: None, Odd, Even, Blank, Space
'                                       to: None, Odd, Even
'
'                          The original 'None' parity selection did not work the same as
'                          'None' in our scale. But, the original 'Space' did work the
'                          same as 'None' does in our scale. So, I modified lstParity_Click
'                          so that if the 'None' item is selected it replaces it with the
'                          'Space' parity string name.
'                        6)Don't know why, but testing all combinations of parity settings
'                          showed that the interface worked with more than one setting in
'                          the Admin program.
'                                               SCALE       ADMIN
'                                               ----------------------------------
'                                               96-O        O(yes), E(no),  N(yes)
'                                               96-E        O(no),  E(yes), N(no)
'                                               96-N        O(yes), E(yes), N(yes)
'



